HTAGS-SERVER(1)

NAME
htags-server - a private Web/CGI server for htags

SYNOPSIS
htags-server [-b ip-address][-u language][--retry[=n]][port]

DESCRIPTION
Htags-server is a private Web/CGI server for the hyper-text generated by htags(1).

In advance of using this command, you should execute htags(1). Then you can execute htags-server at the same place. You can start browsing at 'http://localhost:8000/' by default. To stop the server, just press on 'CTRL-C'.

Python 2/3 or Ruby equipped with WEBrick is required. By default, htags-server looks for python first, if not found then looks for ruby.

OPTIONS
The following options are available:

-b, --bind ip-address
    Specifies the IP address on which htags-server listen. The default value is 127.0.0.1.

-u, --use language
    Specifies language to use, which may be one of: 'python' and 'ruby'.

--retry[=n]
    If the port is already in use, retry n times with incrementing the port number. The default of n is 20.

port
    Specifies the port on which htags-server listen. If you want to use multiple sessions, you must use unique number for each htags-server. The default value is 8000.

EXAMPLES
$ gtags
$ htags --suggest2
$ htags-server
Python2 http/cgi server
Serving HTTP on 127.0.0.1 port 8000 ...

(another terminal)
$ firefox http://localhost:8000/

$ htags-server
Error: port 8000 already in use.
$ htags-server --retry
Warning: port 8000 already in use (skipped)
Please access at http://127.0.0.1:8001
Python2 http/cgi server
Serving HTTP on 127.0.0.1 port 8001 ...

DIAGNOSTICS
Htags-server exits with a non-0 value if an error occurred, 0 otherwise.

SEE ALSO
global(1), gtags(1), htags(1), python(1), ruby(1).

GNU Global source code tag system
(http://www.gnu.org/software/global/).

AUTHOR
Shigio YAMAGUCHI.

HISTORY
The htags-server command appeared in Global-6.3 (2014).